Bug 254799 - lang/ruby25: Update to 2.5.9
Summary: lang/ruby25: Update to 2.5.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL: https://www.ruby-lang.org/en/news/202...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-05 17:41 UTC by Yasuhiro Kimura
Modified: 2021-04-06 13:23 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments
Patch file (20.38 KB, patch)
2021-04-05 17:41 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2021-04-05 17:41:13 UTC
Created attachment 223836 [details]
Patch file

Update to 2.5.9, which includes fix of CVE-2021-28965.

Release Note: https://www.ruby-lang.org/en/news/2021/04/05/ruby-2-5-9-released/

Bub #254793 describes vulnerability fixed with this release. So please commit it together.
Comment 1 commit-hook freebsd_committer 2021-04-06 12:44:54 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d852d12dd264057709220450a10e56757d68cb31

commit d852d12dd264057709220450a10e56757d68cb31
Author:     Koichiro Iwao <meta@FreeBSD.org>
AuthorDate: 2021-04-06 12:41:49 +0000
Commit:     Koichiro Iwao <meta@FreeBSD.org>
CommitDate: 2021-04-06 12:44:30 +0000

    lang/ruby25: Update to 2.5.9

    PR:             254799
    Reported by:    Yasuhiro Kimura <yasu@utahime.org>
    Reviewed by:    meta (myself)
    Relnotes:       https://www.ruby-lang.org/en/news/2021/04/05/ruby-2-5-9-released/

 Mk/bsd.ruby.mk        |  4 +--
 lang/ruby25/distinfo  |  6 ++--
 lang/ruby25/pkg-plist | 78 +++++++++++++++++++++++++++------------------------
 3 files changed, 47 insertions(+), 41 deletions(-)
Comment 2 Koichiro Iwao freebsd_committer 2021-04-06 13:23:29 UTC
Committed, thanks!